Accessibility help

The portal supports the following browsers:
  • Internet Explorer: 6.0 and higher
  • Firefox 2.0 and higher
The portal is also Opera, Safari and Chrome "friendly". This means that, although most of the website will display correctly in these browsers, occasionally you might experience some problems. The following versions should be considered:
  • Safari: 3 (build and higher
  • Opera: 9.5 and higher
  • Chrome: 1.0 and higher
If you still have questions regarding the site, please contact

If you need to upgrade your browser, you can use one of the links below:
Internet Explorer